<?php
/*
Plugin Name: Laskuhari for WooCommerce
Plugin URI: https://www.laskuhari.fi/woocommerce-laskutus
Description: Lisää automaattilaskutuksen maksutavaksi WooCommerce-verkkokauppaan
Version: 0.9.4
Author: Datahari Solutions
Author URI: https://www.datahari.fi
License: GPLv2
*/

/*
Based on WooCommerce Custom Payment Gateways
Author: Mehdi Akram
Author URI: http://shamokaldarpon.com/
*/

//Additional links on the plugin page
add_filter( 'plugin_row_meta', 'LHPG_register_plugin_links', 10, 2 );
function LHPG_register_plugin_links($links, $file) {
	$base = plugin_basename(__FILE__);
	if ($file == $base) {
		$links[] = '<a href="https://www.laskuhari.fi/" target="_blank">' . __( 'Laskuhari.fi', 'rsb' ) . '</a>';
	}
	return $links;
}


/* WooCommerce fallback notice. */
function woocommerce_laskuhari_fallback_notice() {
    echo '<div class="error"><p>' . sprintf( __( 'WooCommerce Laskuhari Payment Gateway depends on the last version of %s to work!', 'LHPG' ), '<a href="http://wordpress.org/extend/plugins/woocommerce/">WooCommerce</a>' ) . '</p></div>';
}

/* Load functions. */
function laskuhari_payment_gateway_load() {
    if ( ! class_exists( 'WC_Payment_Gateway' ) ) {
        add_action( 'admin_notices', 'woocommerce_laskuhari_fallback_notice' );
        return;
    }
   
    function laskuhari_add_gateway( $methods ) {
        $methods[] = 'WC_Gateway_Laskuhari';
        return $methods;
    }
	add_filter( 'woocommerce_payment_gateways', 'laskuhari_add_gateway' );
	
	
    // Include the WooCommerce Custom Payment Gateways classes.
    require_once plugin_dir_path( __FILE__ ) . 'class-wc-gateway-laskuhari.php';
}

add_action( 'plugins_loaded', 'laskuhari_payment_gateway_load', 0 );



?>